API Explorer 936 endpoints

Get Transactions for Account (Core)

GET /obp/v7.0.0/my/banks/BANK_ID/accounts/ACCOUNT_ID/transactions

OBPv3.0.0-getCoreTransactionsForBankAccount No role required TransactionAccount Information Service (AIS)AccountPSD2

Returns transactions list (Core info) of the account specified by ACCOUNT_ID.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Possible custom url parameters for pagination:

  • limit=NUMBER ==> default value: 50
  • offset=NUMBER ==> default value: 0

eg1:?limit=100&offset=0

URL encoding: query parameter values containing &, =, +, #, %, or spaces must be URL-encoded (e.g. + → %2B, space → %20). Most other characters (including @ in emails) are safe unencoded, but encoding is always permitted.

  • sort_direction=ASC/DESC ==> default value: DESC.

eg2:?limit=100&offset=0&sort_direction=ASC

  • from_date=DATE => example value: 1970-01-01T00:00:00.000Z. NOTE! The default value is one year ago (1970-01-01T00:00:00.000Z).
  • to_date=DATE => example value: 2026-10-21T01:45:42.717Z. NOTE! The default value is now (2026-10-21T01:45:42.717Z).

Date format parameter: yyyy-MM-dd'T'HH:mm:ss.SSS'Z'(1100-01-01T01:01:01.000Z) ==> time zone is UTC.

eg3:?sort_direction=ASC&limit=100&offset=0&from_date=1100-01-01T01:01:01.000Z&to_date=1100-01-01T01:01:01.000Z

URL Parameters:

ACCOUNT_ID: 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0

BANK_ID: gh.29.uk

JSON response body fields (23)
account_routings
address
amount
10.12
bank_routing
completed
2020-01-27
currency
EUR
description
Description of the object. Maximum length is 2000. It can be any characters here.
details
holder
holders
id
d8839721-ad8f-45dd-9f78-2080414b93f9
is_alias
name
ACCOUNT_MANAGEMENT_FEE
new_balance
20
other_account
posted
2020-01-27
scheme
OBP
this_account
transaction_attribute_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
transaction_attributes
transactions
type
value
5987953
Example success response
{
  "transactions": [
    {
      "id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
      "this_account": {
        "id": "String",
        "bank_routing": {
          "scheme": "OBP",
          "address": "gh.29.uk"
        },
        "account_routings": [
          {
            "scheme": "OBP",
            "address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
          }
        ],
        "holders": [
          {
            "name": "OBP",
            "is_alias": true
          }
        ]
      },
      "other_account": {
        "id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
        "holder": {
          "name": "OBP",
          "is_alias": true
        },
        "bank_routing": {
          "scheme": "OBP",
          "address": "gh.29.uk"
        },
        "account_routings": [
          {
            "scheme": "OBP",
            "address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
          }
        ]
      },
      "details": {
        "type": "AC",
        "description": "OBP",
        "posted": "1100-01-01T00:00:00Z",
        "completed": "1100-01-01T00:00:00Z",
        "new_balance": {
          "currency": "EUR",
          "amount": "0"
        },
        "value": {
          "currency": "EUR",
          "amount": "0"
        }
      },
      "transaction_attributes": [
        {
          "transaction_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
          "name": "HOUSE_RENT",
          "type": "DATE_WITH_DAY",
          "value": "123456789"
        }
      ]
    }
  ]
}
Possible errors (8)
  • OBP-10023: obp_sort_direction parameter can only take two values: DESC or ASC!
  • OBP-10024: wrong value for obp_offset parameter. Please send a positive integer (=>0)!
  • OBP-10025: wrong value for obp_limit parameter. Please send a positive integer (=>1)!
  • OBP-10026: Failed to parse date string. Please use this format yyyy-MM-dd'T'HH:mm:ss.SSS'Z'!
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID.
  • OBP-30005: View not found for Account. Please specify a valid value for VIEW_ID
  • OBP-50000: Unknown Error.
Implemented by OBPv3.0.0 getCoreTransactionsForBankAccount Originally /obp/v3.0.0/my/banks/BANK_ID/accounts/ACCOUNT_ID/transactions